Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev1
Class propertyDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--uk.co.westhawk.examplev1.propertyDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants, java.awt.event.WindowListener

public class propertyDialog
extends javax.swing.JDialog
implements java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.awt.event.WindowListener

The class propertyDialog is used to set the bean properties. A user can add an actionListener to be notified when the "Apply" or "OK" button is pressed.

The user can configure the host name, the port number, the community name, the socket type and the update interval.

The "Try it" button activates the IsHostReachableBean, who will probe the configured host and signals the UI since when the host was up.

Version:
  $Revision: 1.5 $ $Date: 2006/01/26 12:47:16 $
Author:
  Birgit Arkesteijn
See Also:
  `IsHostReachableBean`, Serialized Form

Field Summary
`protected java.util.Vector` | `actionPerformedListener`
`protected javax.swing.JButton` | `applyButton`
`protected java.lang.String` | `bindAddr`
`protected javax.swing.JLabel` | `bindLabel`
`protected javax.swing.JTextField` | `bindText`
`protected javax.swing.JButton` | `cancelButton`
`protected javax.swing.JLabel` | `commLabel`
`protected java.lang.String` | `community`
`protected javax.swing.JTextField` | `communityText`
`protected java.awt.GridBagLayout` | `gridBagLayout1`
`protected java.lang.String` | `host`
`protected javax.swing.JLabel` | `hostLabel`
`protected javax.swing.JTextField` | `hostText`
`protected java.lang.String` | `interval`
`protected javax.swing.JTextField` | `intervalText`
`protected javax.swing.JLabel` | `intLabel`
`protected javax.swing.JLabel` | `messageLabel`
`protected javax.swing.JButton` | `okButton`
`protected java.lang.String` | `port`
`protected javax.swing.JLabel` | `portLabel`
`protected javax.swing.JTextField` | `portText`
`protected IsHostReachableBean` | `reachableBean`
`protected java.lang.String` | `socketType`
`protected javax.swing.JButton` | `tryButton`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`propertyDialog(javax.swing.JFrame frame)` The constructor to create a non-modal JDialog with the title "Property JDialog".

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Implements the ActionListener
`void` | `addActionListener(java.awt.event.ActionListener l)` Adds an action listener to be notified when the "Apply" or "OK" button is pressed.
`protected void` | `fireActionPerformed(int id, java.lang.String comm, int modif)` Fires a action event when the "Apply" or "OK" button is pressed.
`java.lang.String` | `getBindAddress()` Returns the local bind address
`java.lang.String` | `getCommunityName()` Returns the community name string
`java.lang.String` | `getHost()` Returns the host string
`java.lang.String` | `getPort()` Returns the port string
`java.lang.String` | `getSocketType()` Returns the socket type string
`java.lang.String` | `getUpdateInterval()` Returns the update interval string
`void` | `propertyChange(java.beans.PropertyChangeEvent e)` Implements the PropertyChangeListener
`void` | `removeActionListener(java.awt.event.ActionListener l)` Removes an action listener.
`void` | `setBindAddress(java.lang.String s)` Sets the local bind address
`void` | `setCommunityName(java.lang.String s)` Sets the community name string.
`void` | `setHost(java.lang.String s)` Sets the host string.
`void` | `setPort(java.lang.String s)` Sets the port string.
`void` | `setSocketType(java.lang.String newVar)` Sets the socket type string.
`void` | `setUpdateInterval(java.lang.String s)` Sets the update interval string.
`void` | `windowActivated(java.awt.event.WindowEvent evt)`
`void` | `windowClosed(java.awt.event.WindowEvent evt)`
`void` | `windowClosing(java.awt.event.WindowEvent evt)`
`void` | `windowDeactivated(java.awt.event.WindowEvent evt)`
`void` | `windowDeiconified(java.awt.event.WindowEvent evt)`
`void` | `windowIconified(java.awt.event.WindowEvent evt)`
`void` | `windowOpened(java.awt.event.WindowEvent evt)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### gridBagLayout1

    protected java.awt.GridBagLayout gridBagLayout1

### hostLabel

    protected javax.swing.JLabel hostLabel

### portLabel

    protected javax.swing.JLabel portLabel

### commLabel

    protected javax.swing.JLabel commLabel

### intLabel

    protected javax.swing.JLabel intLabel

### bindLabel

    protected javax.swing.JLabel bindLabel

### hostText

    protected javax.swing.JTextField hostText

### bindText

    protected javax.swing.JTextField bindText

### portText

    protected javax.swing.JTextField portText

### communityText

    protected javax.swing.JTextField communityText

### intervalText

    protected javax.swing.JTextField intervalText

### messageLabel

    protected javax.swing.JLabel messageLabel

### reachableBean

    protected IsHostReachableBean reachableBean

### tryButton

    protected javax.swing.JButton tryButton

### okButton

    protected javax.swing.JButton okButton

### cancelButton

    protected javax.swing.JButton cancelButton

### applyButton

    protected javax.swing.JButton applyButton

### host

    protected java.lang.String host

### bindAddr

    protected java.lang.String bindAddr

### port

    protected java.lang.String port

### community

    protected java.lang.String community

### interval

    protected java.lang.String interval

### socketType

    protected java.lang.String socketType

### actionPerformedListener

    protected java.util.Vector actionPerformedListener

Constructor Detail

### propertyDialog

    public propertyDialog(javax.swing.JFrame frame)

  The constructor to create a non-modal JDialog with the title "Property JDialog".

Parameters:
  `frame` - the parent frame

Method Detail

### setHost

    public void setHost(java.lang.String s)

  Sets the host string.

  Parameters:
    `s` - the string

### setBindAddress

    public void setBindAddress(java.lang.String s)

  Sets the local bind address

  Parameters:
    `s` - the string
  Since:
    4_14

### setPort

    public void setPort(java.lang.String s)

  Sets the port string.

  Parameters:
    `s` - the string

### setCommunityName

    public void setCommunityName(java.lang.String s)

  Sets the community name string.

  Parameters:
    `s` - the string

### setUpdateInterval

    public void setUpdateInterval(java.lang.String s)

  Sets the update interval string.

  Parameters:
    `s` - the string

### setSocketType

    public void setSocketType(java.lang.String newVar)

  Sets the socket type string.

### getSocketType

    public java.lang.String getSocketType()

  Returns the socket type string

  Returns:
    the socket type

### getHost

    public java.lang.String getHost()

  Returns the host string

  Returns:
    the string

### getBindAddress

    public java.lang.String getBindAddress()

  Returns the local bind address

  Returns:
    the string
  Since:
    4_14

### getPort

    public java.lang.String getPort()

  Returns the port string

  Returns:
    the string

### getCommunityName

    public java.lang.String getCommunityName()

  Returns the community name string

  Returns:
    the string

### getUpdateInterval

    public java.lang.String getUpdateInterval()

  Returns the update interval string

  Returns:
    the string

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Implements the ActionListener

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Implements the PropertyChangeListener

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Adds an action listener to be notified when the "Apply" or "OK" button is pressed.

  See Also:
    `removeActionListener(java.awt.event.ActionListener)`

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  Removes an action listener.

  See Also:
    `addActionListener(java.awt.event.ActionListener)`

### fireActionPerformed

    protected void fireActionPerformed(int id,
                                       java.lang.String comm,
                                       int modif)

  Fires a action event when the "Apply" or "OK" button is pressed.

  See Also:
    `removeActionListener(java.awt.event.ActionListener)`, `addActionListener(java.awt.event.ActionListener)`, `ActionEvent`, `ActionListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent evt)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent evt)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent evt)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent evt)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent evt)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent evt)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent evt)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD